#
# spec file for package perl-ExtUtils-CppGuess
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-ExtUtils-CppGuess
Version:        0.12
Release:        lp152.3.2
%define cpan_name ExtUtils-CppGuess
Summary:        Guess C++ Compiler and Flags
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/ExtUtils-CppGuess/
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETJ/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Module::Build)
Requires:       perl(Capture::Tiny)
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  gcc-c++
# MANUAL END

%description
'ExtUtils::CppGuess' attempts to guess the system's C++ compiler that is
compatible with the C compiler that your perl was built with.

It can generate the necessary options to the Module::Build constructor or
to ExtUtils::MakeMaker's 'WriteMakefile' function.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu Nov  9 2017 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-ExtUtils-CppGuess/Changes
  0.12	Sat Oct 21 18:12:51 BST 2017
  - Fix tests on 5.26 without '.' in @INC (kentfredric)
* Tue Sep 15 2015 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-ExtUtils-CppGuess/Changes
* Thu Sep 10 2015 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-ExtUtils-CppGuess/Changes
  0.10   Tue Sep 11 21:15:30 MDT 2015
  - Config's ccflags must always be used. (bulk88)
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-ExtUtils-CppGuess/Changes
  0.09   Sat Apr 11 16:05:50 BST 2015
  - Convert to EUMM
  - Make tests divulge guessed options for better debugging
  0.08   Thu Jan 15 03:07:38 GMT 2015
  - Update metadata
* Sun Jun  8 2014 coolo@suse.com
- initial package 0.07
  * created by cpanspec 1.78.08
